# class Net::IMAP::PlainAuthenticator

Authenticator for the “PLAIN” authentication type. See authenticate().

### Public Class Methods

new(user, password) click to toggle source

    # File lib/net/imap.rb, line 3536
    def initialize(user, password)
      @user = user
      @password = password
    end

### Public Instance Methods

process(data) click to toggle source

    # File lib/net/imap.rb, line 3530
    def process(data)
      return "\0#{@user}\0#{@password}"
    end